/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/*
 *  Authors: Iain Holmes <iain@prettypeople.org>
 *
 *  Copyright 2002 Iain Holmes
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of version 2 of the GNU General Public 
 *  License as published by the Free Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Street #330, Boston, MA 02111-1307, USA.
 *
 */

#ifndef __MARLIN_GST_EXTRAS_H__
#define __MARLIN_GST_EXTRAS_H__

#include <gst/gst.h>

GstElementFactory *get_decoder_factory_for_mime (const char *mimetype);
GstElement *get_decoder_for_mime (const char *mimetype,
				  const char *name);
GstElementFactory *get_encoder_factory_for_mime (const char *mimetype);
char *get_string_from_caps (GstCaps *caps,
			    const char *key);
int get_int_from_caps (GstCaps *caps,
		       const char *key);
gboolean marlin_gst_can_encode (const char *mimetype);
#endif
